import { html as i } from "lit";
import { property as c } from "lit/decorators.js";
import { PieIconComponent as h } from "./PieIconComponent.js";
import { safeCustomElement as f } from "@justeattakeaway/pie-webc-core";
var v = Object.defineProperty, g = Object.getOwnPropertyDescriptor, p = (n, e, a, t) => {
  for (var r = t > 1 ? void 0 : t ? g(e, a) : e, s = n.length - 1, l; s >= 0; s--)
    (l = n[s]) && (r = (t ? l(e, a, r) : l(r)) || r);
  return t && r && v(e, a, r), r;
};
let o = class extends h {
  constructor() {
    super(...arguments), this.size = 32, this.defaultClasses = "c-pieIcon c-pieIcon--calendarErrorLarge", this.class = "c-pieIcon c-pieIcon--calendarErrorLarge", this.name = "IconCalendarErrorLarge";
  }
  render() {
    return i`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 32 32" class="c-pieIcon c-pieIcon--calendarErrorLarge"><path d="M10.327 12.509h11.46l.873-1.746H9.454l.873 1.746Z"></path><path d="M22.075 6.364V4.618h-1.746v1.746h-8.728V4.618H9.855v1.746H4.618v20.948h18.33a4.364 4.364 0 0 0 4.364-4.364V6.364h-5.237Zm3.491 16.584a2.618 2.618 0 0 1-2.618 2.618H6.364V8.11h3.491v.873h1.746V8.11h8.728v.873h1.746V8.11h3.491v14.838Z"></path><path d="m19.77 16.244-1.23-1.239-2.776 2.775-2.775-2.775-1.24 1.24 2.776 2.775-2.776 2.776 1.24 1.23 2.775-2.775 2.776 2.775 1.23-1.23-2.775-2.776 2.775-2.776Z"></path></svg>`;
  }
};
p([
  c({ type: String, reflect: !0 })
], o.prototype, "size", 2);
p([
  c({ type: String, reflect: !0 })
], o.prototype, "class", 2);
o = p([
  f("icon-calendar-error-large")
], o);
export {
  o as IconCalendarErrorLarge
};
